Subject: bug#10393: 24.0.92; missing files in Dired

From: Richard Stallman <[email-masked]>
Date: Wed, 28 Dec 2011 18:26:42 -0500

I can't reproduce this, but I have seen it several times.

I have a Dired buffer displaying the directory ~/outgoing.  I type g,
and some file whose name starts in .# does not show up.
I see that file when I type ls outside Emacs, but it is missing
from the Dired buffer.

In GNU Emacs 24.0.92.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2011-12-06 on theobromine2
configured using `configure  '-C' 'CFLAGS=-g -O1''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  diff-auto-refine-mode: t
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
p o s DEL DEL DEL m p o s e d RET o p n SPC G r e e 
e DEL c e C-a C-f C-d C-e , SPC i t SPC a l s o SPC 
s h o w s SPC t h a t SPC p e o p l e SPC s h o u l 
SPC DEL d SPC h a v e SPC f e w e r SPC c h i l d r 
e n . C-c C-c d x SPC d d x d x SPC d SPC d d d d x 
C-x C-s d d x d x d x d u b C-x b R TAB RET n d d d 
x d d d d x C-x C-s p p n p n r W h e n SPC I SPC h 
a v e SPC t i m e , SPC I SPC w i l l SPC s t u d y 
SPC t h e SPC a r g u m e n t s SPC o n SPC b o t h 
SPC s i d e s SPC a g a i n . RET C-c C-c C-d x p SPC 
SPC ESC v SPC SPC SPC SPC . 1 r T h a k s . C-b C-b 
C-b n C-e SPC SPC N o t h i n g SPC r e a l l y SPC 
n e w SPC i n SPC i t . C-c C-c C-d x 5 0 0 j x n C-d 
d x n n x ESC x r e p o r t SPC e m a c s SPC b v u 
g DEL DEL DEL u g RET

Recent messages:
Wrote /home/rms/RMAIL [2 times]
Sending...
Wrote /home/rms/outgoing/out-61
Sending...done
Expunging deleted messages...done
Sending...
Wrote /home/rms/outgoing/out-62
Sending...done
Expunging deleted messages...done
Expunging deleted messages...done

Load-path shadows:
None found.

Features:
(shadow emacsbug info edmacro kmacro debug tex-mode latexenc log-view
vc-rcs sh-script executable diff-mode ansi-color compare-w log-edit
easy-mmode pcvs-util add-log vc ediff-merg ediff-diff ediff-wind
ediff-help ediff-util ediff-mult ediff-init ediff vc-dispatcher
rmailsum epa-mail epa derived epg epg-config rect time-stamp texinfo
goto-addr thingatpt vc-bzr lpr parse-time vc-cvs sgml-mode tar-mode
utf-7 novice etach rmailkwd mule-util cal-move cal-menu calendar
cal-loaddefs dired-aux ind-util etags ispell multi-isearch rmailout
shell pcomplete grep compile comint ring newcomment quail help-mode
view dabbrev mailalias jka-compr qp rmailmm message sendmail
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader mail-parse rfc2231 rmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils dired regexp-opt
t-mouse time-date battery paren cus-start cus-load tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mouse jit-lock font-lock syntax facemenu font-core frame
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet
lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook
help simple abbrev minibuffer loaddefs button faces cus-face files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting font-render-setting
move-toolbar gtk x-toolkit x multi-tty emacs)

-- 
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use free telephony http://directory.fsf.org/category/tel/